Subject: Re: 1000MB (GMII) ports on IBM 440GX (ocotea)

From: Matt Porter <[email-masked]>
Date: Fri, 11 Feb 2005 08:32:44 -0700

On Fri, Feb 11, 2005 at 01:55:01PM +0000, emre kara wrote:
> Dear All;
> I have problems on ppc440gx ( IBM 440gx evaluatation
> board)  gigabit ethernet ports.
> I have configurated and compiled linux kernel version
> 2.4.29 (latest) for ocotea board and it worked fine
> with two MII /Fast Ethernet ports,but i can't find any
> way to configure GMII (gigabit) ethernet driver for
> other on chip two gigabit ports, in the platform
> specific file (arch/ppc/platforms/ocotea.c) the source
> configures only two fast ethernet ports.
> I have also loaded Montavista's preview kernel on my
> board and in this kernel,  four ethernet ports worked
> fine, but there are huge differences between two
> kernels so I can't find a way to overcome this
> problem.
> Is anyone have an idea for the solution?
> Thank you.
> Emre

You need to read the archives. This is a faq. Hint: you
want 2.6.

> https://ozlabs.org/mailman/listinfo/linuxppc-embedded

The archives can be found here where you signed up for the list.

-Matt